Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.util
Class LatLonFormatter

    java.lang.Object
      org.ka2ddo.yaac.util.LatLonFormatter

    public class LatLonFormatter

extends java.lang.Object

Provide a formatter for a latitude or longitude value in degrees/minutes/fractional minutes and direction (or some other format style for GUI display).

Nested Class Summary
`static class` | `LatLonFormatter.Format` Define the supported different formats for latitude and longitude display.

Field Summary
`static LatLonFormatter` | `LAT`
`static LatLonFormatter` | `LON`

Constructor Summary
`LatLonFormatter(boolean isLat, boolean forDisplay)`
`LatLonFormatter(boolean isLat, boolean forDisplay, LatLonFormatter.Format latLonFormat)`

Method Summary
`static void` | `addPropertyChangeListener(java.beans.PropertyChangeListener l)`
`java.lang.String` | `format(double value)`
`static java.lang.String` | `format(double latValue, double lonValue)`
`static LatLonFormatter.Format` | `getGlobalLatLonFormat()`
`static void` | `removePropertyChangeListener(java.beans.PropertyChangeListener l)`
`static void` | `setGlobalLatLonFormat(LatLonFormatter.Format globalLatLonFormat)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LAT

    public static final LatLonFormatter LAT

### LON

    public static final LatLonFormatter LON

Constructor Detail

### LatLonFormatter

    public LatLonFormatter(boolean isLat,
                           boolean forDisplay)

### LatLonFormatter

    public LatLonFormatter(boolean isLat,
                           boolean forDisplay,
                           LatLonFormatter.Format latLonFormat)

Method Detail

### getGlobalLatLonFormat

    public static LatLonFormatter.Format getGlobalLatLonFormat()

### setGlobalLatLonFormat

    public static void setGlobalLatLonFormat(LatLonFormatter.Format globalLatLonFormat)

### addPropertyChangeListener

    public static void addPropertyChangeListener(java.beans.PropertyChangeListener l)

### removePropertyChangeListener

    public static void removePropertyChangeListener(java.beans.PropertyChangeListener l)

### format

    public java.lang.String format(double value)

### format

    public static java.lang.String format(double latValue,
                                          double lonValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD